#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
std::vector<int> solve(std::vector<int> A) {
    int n = A.size();
    vector<int> v(n);
    v[0] = n - 1;
    for(int i = 1; i < n; i++) {
        v[i] = i-1;
    }

    return v;
}
